Channels

Preview the impact of activating a channel profile draft

POST
/api/projects/{projectId}/channels/{channelId}/profile-drafts/{profileVersionId}/preview

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
channelId*string
Length1 <= length
profileVersionId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
assessment*
Example Request
curl -X POST 'https://postbot.example/api/projects/string/channels/string/profile-drafts/string/preview'
Example Response
{
  "assessment": {
    "currentProfileVersion": 1,
    "proposedProfileVersion": 1,
    "changes": [
      {
        "kind": "schema",
        "path": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "workingDrafts": [
      {
        "id": "string",
        "kind": "working_draft",
        "state": "compatible",
        "issues": [
          {
            "path": "string",
            "code": "string",
            "message": "string",
            "severity": "error",
            "source": "schema"
          }
        ]
      }
    ],
    "pendingTargets": [
      {
        "id": "string",
        "kind": "working_draft",
        "state": "compatible",
        "issues": [
          {
            "path": "string",
            "code": "string",
            "message": "string",
            "severity": "error",
            "source": "schema"
          }
        ]
      }
    ],
    "hasReviewRequired": true
  }
}

Was this page helpful?